{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/TemplateParameterImpl.eInverseRemove(Lorg/eclipse/emf/ecore/InternalEObject;ILorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;",
  "numberOfDefinitions": 3,
  "calls": {
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotations()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eInternalResource()Lorg/eclipse/emf/ecore/resource/Resource$Internal;": 3,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicInverseRemove(Lorg/eclipse/emf/ecore/InternalEObject;ILorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/TemplateParameterImpl.setOwnedParameteredElement(Lorg/eclipse/uml2/uml/ParameterableElement;)V": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/TemplateParameterImpl.basicSetOwnedParameteredElement(Lorg/eclipse/uml2/uml/ParameterableElement;Lorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 3,
    "Lorg/eclipse/emf/ecore/impl/ENotificationImpl.\u003cinit\u003e(Lorg/eclipse/emf/ecore/InternalEObject;IILjava/lang/Object;Ljava/lang/Object;)V": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getOwnedComments()Lorg/eclipse/emf/common/util/EList;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/TemplateParameterImpl.basicSetSignature(Lorg/eclipse/uml2/uml/TemplateSignature;Lorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/TemplateParameterImpl.basicSetOwnedDefault(Lorg/eclipse/uml2/uml/ParameterableElement;Lorg/eclipse/emf/common/notify/NotificationChain;)Lorg/eclipse/emf/common/notify/NotificationChain;": 3,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotificationRequired()Z": 3
  }
}